require "game"
function love.load()
	math.randomseed(os.time())
	--LOADING
	grid = {
		w = 50,--42
		h = 32--32
	}
	game.load()
	size = 16
	love.graphics.setMode(grid.w*16, grid.h*16)
	gamestate = "menu" --menu game pause
	mbg = love.graphics.newImage("assets/img/menu.png")
	startb = love.graphics.newImage("assets/img/start.png")
	starth = false
	love.timer.step()
end

function love.update(dt)
	game.update(dt)
	mx, my = love.mouse.getPosition()
	if CheckCollision(mx, my, 1, 1, (love.graphics.getWidth()/2) - (123/2), 350, 123, 47) then
		starth = true
	else
		starth = false
	end
end

function love.draw()
	if gamestate == "menu" then
		love.graphics.setColor(255, 255, 255)
		love.graphics.draw(mbg)
		if starth then
			love.graphics.setColor(0, 117, 255)
		else
			love.graphics.setColor(255, 255, 255)
		end
		love.graphics.draw(startb, (love.graphics.getWidth()/2) - (123/2), 350)
	elseif gamestate == "game" then
		game.draw()
	end
end

function love.mousepressed(x, y, key)
	if key == "l" and starth then
		gamestate = "game"
		game.reset()
	end
end

function love.keypressed(key)
	game.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	end
end

function CheckCollision(x1, y1, w1, h1, x2, y2, w2, h2)
	if x1 > (x2 + w2) or (x1 + w1) < x2 then return false end
	if y1 > (y2 + h2) or (y1 + h1) < y2 then return false end
	return true
end